Package com.smartgwt.client.types

# Enum DefaultQueryClause

java.lang.Object
java.lang.Enum<DefaultQueryClause>
com.smartgwt.client.types.DefaultQueryClause

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DefaultQueryClause>`, `Constable`

public enum DefaultQueryClause extends Enum<DefaultQueryClause> implements ValueEnum
The Velocity variable names of the "pieces" of SQL that Smart GWT generates to form a complete fetch or update query. You can use these variables in you own custom queries and query clause overrides to build on the Smart GWT functionality. See `CustomQuerying` for a full discussion.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `$DEFAULTANSIJOINCLAUSE`
  The `ansi join(s)` to join tables to select from, if enabled.
  `$DEFAULTGROUPCLAUSE`
  For a fetch operation when using the `Server Summaries` feature, "group by" part of aggregated query
  `$DEFAULTGROUPWHERECLAUSE`
  For a fetch operation when using the `Server Summaries` feature, "having" part of aggregated query (or outer "where" part if sub-select approach is used, see `OperationBinding.useHavingClause` for more details)
  `$DEFAULTORDERCLAUSE`
  The column names to sort by, for a fetch operation only
  `$DEFAULTSELECTCLAUSE`
  The column names to select, for a fetch operation only
  `$DEFAULTTABLECLAUSE`
  The table name(s) to select from or update
  `$DEFAULTVALUESCLAUSE`
  The column names to update and the update values, for an update or add operation
  `$DEFAULTWHERECLAUSE`
  The "where" condition, which will be derived from supplied criteria or a primary key value, depending on the type of operation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DefaultQueryClause`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DefaultQueryClause[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### $DEFAULTSELECTCLAUSE

    public static final DefaultQueryClause $DEFAULTSELECTCLAUSE
    The column names to select, for a fetch operation only

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultSelectClause".

  - ### $DEFAULTTABLECLAUSE

    public static final DefaultQueryClause $DEFAULTTABLECLAUSE
    The table name(s) to select from or update

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultTableClause".

  - ### $DEFAULTANSIJOINCLAUSE

    public static final DefaultQueryClause $DEFAULTANSIJOINCLAUSE
    The `ansi join(s)` to join tables to select from, if enabled.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultAnsiJoinClause".

  - ### $DEFAULTWHERECLAUSE

    public static final DefaultQueryClause $DEFAULTWHERECLAUSE
    The "where" condition, which will be derived from supplied criteria or a primary key value, depending on the type of operation

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultWhereClause".

  - ### $DEFAULTGROUPCLAUSE

    public static final DefaultQueryClause $DEFAULTGROUPCLAUSE
    For a fetch operation when using the `Server Summaries` feature, "group by" part of aggregated query

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultGroupClause".

  - ### $DEFAULTGROUPWHERECLAUSE

    public static final DefaultQueryClause $DEFAULTGROUPWHERECLAUSE
    For a fetch operation when using the `Server Summaries` feature, "having" part of aggregated query (or outer "where" part if sub-select approach is used, see `OperationBinding.useHavingClause` for more details)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultGroupWhereClause".

  - ### $DEFAULTVALUESCLAUSE

    public static final DefaultQueryClause $DEFAULTVALUESCLAUSE
    The column names to update and the update values, for an update or add operation

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultValuesClause".

  - ### $DEFAULTORDERCLAUSE

    public static final DefaultQueryClause $DEFAULTORDERCLAUSE
    The column names to sort by, for a fetch operation only

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "$defaultOrderClause".

- ## Method Details

  - ### values

    public static DefaultQueryClause[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DefaultQueryClause valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`